Bug 478520 - No apm module in F10 kernel.
No apm module in F10 kernel.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apmd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 03:49 EST by Jan ONDREJ
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2008-12-31 03:49:15 EST
Description of problem:
In /etc/init.d/apmd there is requirement for /proc/apm, but it can't be created in F10 kernel. Without this apmd package does nothing.

Version-Release number of selected component (if applicable):
kernel-2.6.27.9-159.fc10.i586
apmd-3.2.2-8.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. modprobe apm
2. ls -la /proc/apm
  
Actual results:
FATAL: Module apm not found.
ls: cannot access /proc/apm: No such file or directory


Expected results:
empty output

Additional info:
This is the code from /etc/init.d/apm:
        # If APM isn't supported by the kernel, try loading the module...
        [ -e /proc/apm ] || /sbin/modprobe apm &>/dev/null

        # Don't bother if /proc/apm still doesn't exist, kernel doesn't have
        # support for APM.
        [ -e /proc/apm ] || exit 1

Because there is no module apm, if always exits with "exit 1".
May be it is a bug of kernel, but if it has been removed from kernel or renamed in new kernels, please fix update script.
Comment 1 Zdenek Prikryl 2009-01-06 03:39:24 EST
Hello,
the apm support is compiled directly to the kernel, so there is no apm module. What system do you have? I mean, apm technology is pretty outdated. /proc/apm is used for delivering apm events to userspace, like battery events, so one needs this device. If you have a system without battery (i.e. desktop with apm support), can you try to comment those lines and then try apm functionality (i.e. suspend and resume)? 

Thanks
Comment 2 Jan ONDREJ 2009-01-06 03:58:17 EST
May be I don't need this. I have only problem on one Dell workstation, that after "reboot" command it says: "Rebooting system." and it's all. Here stops working and no reboot is done. Any idea, why this happens? Can apm help?

May be this package is obsolete for Fedora 10 and should be removed in devel (may be should be removed for F10, but I don't know if it's possible for a stable system).

When trying to run apmd manually, I get this message:
[root@router ~]# apmd 
No APM support in kernel
[root@router ~]# 
[root@router ~]# strace -e open apmd 
open("/etc/ld.so.cache", O_RDONLY)      = 3
open("/lib/libc.so.6", O_RDONLY)        = 3
open("/dev/apm_bios", O_WRONLY)         = -1 ENOENT (No such file or directory)
No APM support in kernel
[root@router ~]# 
[root@router ~]# MAKEDEV /dev/apm_bios
[root@router ~]# strace -e open apmd 
open("/etc/ld.so.cache", O_RDONLY)      = 3
open("/lib/libc.so.6", O_RDONLY)        = 3
open("/dev/apm_bios", O_WRONLY)         = -1 ENODEV (No such device)
No APM support in kernel
[root@router ~]#
Comment 3 Zdenek Prikryl 2009-01-06 04:32:35 EST
From the output it seems that your workstation do not support apm technology. Does apmd work fine with previous kernels?

Instead of "$ reboot" try "$ shutdown -r now". Does it works properly?
Comment 4 Jan ONDREJ 2009-01-06 04:46:18 EST
(In reply to comment #3)
> From the output it seems that your workstation do not support apm technology.
> Does apmd work fine with previous kernels?

I don't know. But I think you can test this yourself.

> Instead of "$ reboot" try "$ shutdown -r now". Does it works properly?

My computer is an production server. It's problematic to do these tests.
Is any difference in running "reboot" and "shutdown -r"?
Comment 6 Bug Zapper 2009-11-18 05:36:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:26:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.